Get SVM detailed vault
curl --request GET \
--url https://api.vaults.fyi/beta/svm/detailed-vaults/{vaultAddress} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/svm/detailed-vaults/{vaultAddress}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/svm/detailed-vaults/{vaultAddress}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"asset": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetLogo": "<string>"
},
"name": "<string>",
"tvl": {
"usd": "<string>",
"native": "<string>"
},
"apy": {
"1day": {
"base": 123,
"reward": 123,
"total": 123
},
"7day": {
"base": 123,
"reward": 123,
"total": 123
},
"30day": {
"base": 123,
"reward": 123,
"total": 123
}
},
"protocol": {
"name": "<string>",
"product": "<string>",
"version": "<string>",
"protocolLogo": "<string>"
}
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}SVM
Get SVM detailed vault
Retrieves detailed information for a specific SVM vault including address (vault account public key), name, protocol, TVL, and APY details.
GET
/
beta
/
svm
/
detailed-vaults
/
{vaultAddress}
Get SVM detailed vault
Authorizations
Path Parameters
Vault address. On SVM, this is the vault account public key.
Pattern:
^[1-9A-HJ-NP-Za-km-z]{32,44}$Response
Default Response
Vault address. On SVM, this is the vault account public key.
Asset details of the vault
Show child attributes
Show child attributes
Name of the vault
TVL details of the vault
Show child attributes
Show child attributes
APY details of the vault
Show child attributes
Show child attributes
Protocol details of the vault
Show child attributes
Show child attributes
⌘I

